VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::VMTypes::Info Class Reference

Document-based info. More...

List of all members.

## Public Member Functions
| Info ()
| Creates a default new instance.
vmware.vcenter.vm.GuestOS | GetGuestOS ()
| Guest OS.
void | SetGuestOS (vmware.vcenter.vm.GuestOS guestOS)
| Guest OS.
string | GetName ()
| Virtual machine name.
void | SetName (string name)
| Virtual machine name.
vmware.vcenter.vm.PowerTypes.State | GetPowerState ()
| Power state of the virtual machine.
void | SetPowerState (vmware.vcenter.vm.PowerTypes.State powerState)
| Power state of the virtual machine.
vmware.vcenter.vm.HardwareTypes.Info | GetHardware ()
| Virtual hardware version information.
void | SetHardware (vmware.vcenter.vm.HardwareTypes.Info hardware)
| Virtual hardware version information.
vmware.vcenter.vm.hardware.BootTypes.Info | GetBoot ()
| Boot configuration.
void | SetBoot (vmware.vcenter.vm.hardware.BootTypes.Info boot)
| Boot configuration.
global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.boot.DeviceTypes.Entry > | GetBootDevices ()
| Boot device configuration.
void | SetBootDevices (global::System.Collections.Generic.List< vmware.vcenter.vm.hardware.boot.DeviceTypes.Entry > bootDevices)
| Boot device configuration.
vmware.vcenter.vm.hardware.CpuTypes.Info | GetCpu ()
| CPU configuration.
void | SetCpu (vmware.vcenter.vm.hardware.CpuTypes.Info cpu)
| CPU configuration.
vmware.vcenter.vm.hardware.MemoryTypes.Info | GetMemory ()
| Memory configuration.
void | SetMemory (vmware.vcenter.vm.hardware.MemoryTypes.Info memory)
| Memory configuration.
global::System.Collections.Generic.Dictionary < string, vmware.vcenter.vm.hardware.DiskTypes.Info > | GetDisks ()
| List of disks.
void | SetDisks (global::System.Collections.Generic.Dictionary< string, vmware.vcenter.vm.hardware.DiskTypes.Info > disks)
| List of disks.
global::System.Collections.Generic.Dictionary < string, vmware.vcenter.vm.hardware.EthernetTypes.Info > | GetNics ()
| List of Ethernet adapters.
void | SetNics (global::System.Collections.Generic.Dictionary< string, vmware.vcenter.vm.hardware.EthernetTypes.Info > nics)
| List of Ethernet adapters.
global::System.Collections.Generic.Dictionary < string, vmware.vcenter.vm.hardware.CdromTypes.Info > | GetCdroms ()
| List of CD-ROMs.
void | SetCdroms (global::System.Collections.Generic.Dictionary< string, vmware.vcenter.vm.hardware.CdromTypes.Info > cdroms)
| List of CD-ROMs.
global::System.Collections.Generic.Dictionary < string, vmware.vcenter.vm.hardware.FloppyTypes.Info > | GetFloppies ()
| List of floppy drives.
void | SetFloppies (global::System.Collections.Generic.Dictionary< string, vmware.vcenter.vm.hardware.FloppyTypes.Info > floppies)
| List of floppy drives.
global::System.Collections.Generic.Dictionary < string, vmware.vcenter.vm.hardware.ParallelTypes.Info > | GetParallelPorts ()
| List of parallel ports.
void | SetParallelPorts (global::System.Collections.Generic.Dictionary< string, vmware.vcenter.vm.hardware.ParallelTypes.Info > parallelPorts)
| List of parallel ports.
global::System.Collections.Generic.Dictionary < string, vmware.vcenter.vm.hardware.SerialTypes.Info > | GetSerialPorts ()
| List of serial ports.
void | SetSerialPorts (global::System.Collections.Generic.Dictionary< string, vmware.vcenter.vm.hardware.SerialTypes.Info > serialPorts)
| List of serial ports.
global::System.Collections.Generic.Dictionary < string, vmware.vcenter.vm.hardware.adapter.SataTypes.Info > | GetSataAdapters ()
| List of SATA adapters.
void | SetSataAdapters (global::System.Collections.Generic.Dictionary< string, vmware.vcenter.vm.hardware.adapter.SataTypes.Info > sataAdapters)
| List of SATA adapters.
global::System.Collections.Generic.Dictionary < string, vmware.vcenter.vm.hardware.adapter.ScsiTypes.Info > | GetScsiAdapters ()
| List of SCSI adapters.
void | SetScsiAdapters (global::System.Collections.Generic.Dictionary< string, vmware.vcenter.vm.hardware.adapter.ScsiTypes.Info > scsiAdapters)
| List of SCSI adapters.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

Document-based info.

## Constructor & Destructor Documentation

vmware::vcenter::VMTypes::Info::Info | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::VMTypes::Info::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::VMTypes::Info::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::VMTypes::Info::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::VMTypes::Info::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::VMTypes::Info::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::VMTypes::Info::Equals | ( | object | obj | ) | `[inline]`

vmware.vcenter.vm.hardware.BootTypes.Info vmware::vcenter::VMTypes::Info::GetBoot | ( |  | ) | `[inline]`

Boot configuration.

global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.boot.DeviceTypes.Entry> vmware::vcenter::VMTypes::Info::GetBootDevices | ( |  | ) | `[inline]`

Boot device configuration.

If the list has no entries, a server-specific default boot sequence is used.

global::System.Collections.Generic.Dictionary<string, vmware.vcenter.vm.hardware.CdromTypes.Info> vmware::vcenter::VMTypes::Info::GetCdroms | ( |  | ) | `[inline]`

List of CD-ROMs.

When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .

vmware.vcenter.vm.hardware.CpuTypes.Info vmware::vcenter::VMTypes::Info::GetCpu | ( |  | ) | `[inline]`

CPU configuration.

global::System.Collections.Generic.Dictionary<string, vmware.vcenter.vm.hardware.DiskTypes.Info> vmware::vcenter::VMTypes::Info::GetDisks | ( |  | ) | `[inline]`

List of disks.

When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Disk` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Disk` .

global::System.Collections.Generic.Dictionary<string, vmware.vcenter.vm.hardware.FloppyTypes.Info> vmware::vcenter::VMTypes::Info::GetFloppies | ( |  | ) | `[inline]`

List of floppy drives.

When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` .

vmware.vcenter.vm.GuestOS vmware::vcenter::VMTypes::Info::GetGuestOS | ( |  | ) | `[inline]`

Guest OS.

vmware.vcenter.vm.HardwareTypes.Info vmware::vcenter::VMTypes::Info::GetHardware | ( |  | ) | `[inline]`

Virtual hardware version information.

override int vmware::vcenter::VMTypes::Info::GetHashCode | ( |  | ) | `[inline]`

vmware.vcenter.vm.hardware.MemoryTypes.Info vmware::vcenter::VMTypes::Info::GetMemory | ( |  | ) | `[inline]`

Memory configuration.

string vmware::vcenter::VMTypes::Info::GetName | ( |  | ) | `[inline]`

Virtual machine name.

global::System.Collections.Generic.Dictionary<string, vmware.vcenter.vm.hardware.EthernetTypes.Info> vmware::vcenter::VMTypes::Info::GetNics | ( |  | ) | `[inline]`

List of Ethernet adapters.

When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` .

global::System.Collections.Generic.Dictionary<string, vmware.vcenter.vm.hardware.ParallelTypes.Info> vmware::vcenter::VMTypes::Info::GetParallelPorts | ( |  | ) | `[inline]`

List of parallel ports.

When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ParallelPort` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ParallelPort` .

vmware.vcenter.vm.PowerTypes.State vmware::vcenter::VMTypes::Info::GetPowerState | ( |  | ) | `[inline]`

Power state of the virtual machine.

global::System.Collections.Generic.Dictionary<string, vmware.vcenter.vm.hardware.adapter.SataTypes.Info> vmware::vcenter::VMTypes::Info::GetSataAdapters | ( |  | ) | `[inline]`

List of SATA adapters.

When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SataAdapter` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SataAdapter` .

global::System.Collections.Generic.Dictionary<string, vmware.vcenter.vm.hardware.adapter.ScsiTypes.Info> vmware::vcenter::VMTypes::Info::GetScsiAdapters | ( |  | ) | `[inline]`

List of SCSI adapters.

When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ScsiAdapter` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ScsiAdapter` .

global::System.Collections.Generic.Dictionary<string, vmware.vcenter.vm.hardware.SerialTypes.Info> vmware::vcenter::VMTypes::Info::GetSerialPorts | ( |  | ) | `[inline]`

List of serial ports.

When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SerialPort` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SerialPort` .

void vmware::vcenter::VMTypes::Info::SetBoot | ( | vmware.vcenter.vm.hardware.BootTypes.Info | boot | ) | `[inline]`

Boot configuration.

void vmware::vcenter::VMTypes::Info::SetBootDevices | ( | global::System.Collections.Generic.List< vmware.vcenter.vm.hardware.boot.DeviceTypes.Entry > | bootDevices | ) | `[inline]`

Boot device configuration.

If the list has no entries, a server-specific default boot sequence is used.

void vmware::vcenter::VMTypes::Info::SetCdroms | ( | global::System.Collections.Generic.Dictionary< string, vmware.vcenter.vm.hardware.CdromTypes.Info > | cdroms | ) | `[inline]`

List of CD-ROMs.

When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .

void vmware::vcenter::VMTypes::Info::SetCpu | ( | vmware.vcenter.vm.hardware.CpuTypes.Info | cpu | ) | `[inline]`

CPU configuration.

void vmware::vcenter::VMTypes::Info::SetDisks | ( | global::System.Collections.Generic.Dictionary< string, vmware.vcenter.vm.hardware.DiskTypes.Info > | disks | ) | `[inline]`

List of disks.

When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Disk` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Disk` .

void vmware::vcenter::VMTypes::Info::SetFloppies | ( | global::System.Collections.Generic.Dictionary< string, vmware.vcenter.vm.hardware.FloppyTypes.Info > | floppies | ) | `[inline]`

List of floppy drives.

When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` .

void vmware::vcenter::VMTypes::Info::SetGuestOS | ( | vmware.vcenter.vm.GuestOS | guestOS | ) | `[inline]`

Guest OS.

void vmware::vcenter::VMTypes::Info::SetHardware | ( | vmware.vcenter.vm.HardwareTypes.Info | hardware | ) | `[inline]`

Virtual hardware version information.

void vmware::vcenter::VMTypes::Info::SetMemory | ( | vmware.vcenter.vm.hardware.MemoryTypes.Info | memory | ) | `[inline]`

Memory configuration.

void vmware::vcenter::VMTypes::Info::SetName | ( | string | name | ) | `[inline]`

Virtual machine name.

void vmware::vcenter::VMTypes::Info::SetNics | ( | global::System.Collections.Generic.Dictionary< string, vmware.vcenter.vm.hardware.EthernetTypes.Info > | nics | ) | `[inline]`

List of Ethernet adapters.

When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Ethernet` .

void vmware::vcenter::VMTypes::Info::SetParallelPorts | ( | global::System.Collections.Generic.Dictionary< string, vmware.vcenter.vm.hardware.ParallelTypes.Info > | parallelPorts | ) | `[inline]`

List of parallel ports.

When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ParallelPort` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ParallelPort` .

void vmware::vcenter::VMTypes::Info::SetPowerState | ( | vmware.vcenter.vm.PowerTypes.State | powerState | ) | `[inline]`

Power state of the virtual machine.

void vmware::vcenter::VMTypes::Info::SetSataAdapters | ( | global::System.Collections.Generic.Dictionary< string, vmware.vcenter.vm.hardware.adapter.SataTypes.Info > | sataAdapters | ) | `[inline]`

List of SATA adapters.

When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SataAdapter` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SataAdapter` .

void vmware::vcenter::VMTypes::Info::SetScsiAdapters | ( | global::System.Collections.Generic.Dictionary< string, vmware.vcenter.vm.hardware.adapter.ScsiTypes.Info > | scsiAdapters | ) | `[inline]`

List of SCSI adapters.

When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ScsiAdapter` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.ScsiAdapter` .

void vmware::vcenter::VMTypes::Info::SetSerialPorts | ( | global::System.Collections.Generic.Dictionary< string, vmware.vcenter.vm.hardware.SerialTypes.Info > | serialPorts | ) | `[inline]`

List of serial ports.

When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SerialPort` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.SerialPort` .

override string vmware::vcenter::VMTypes::Info::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- VMTypes.cs